Bug 924870 - (CVE-2013-1886) CVE-2013-1886 Certificate System: pki-tps format string injection
CVE-2013-1886 Certificate System: pki-tps format string injection
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130522,repo...
: Security
Depends On: 947603 966189 966190
Blocks: 760283 923042
  Show dependency treegraph
 
Reported: 2013-03-22 13:00 EDT by Vincent Danen
Modified: 2013-06-07 18:16 EDT (History)
11 users (show)

See Also:
Fixed In Version: pki-tps-8.1.5-1.el5pki
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-22 17:23:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-03-22 13:00:55 EDT
It was reported that Certificate System suffers from a format string injection flaw when viewing certificates.  This could allow a remote attacker to crash the Certificate System server or, possibly, execute arbitrary code with the privileges of the user runnin the service (typically run as an unprivileged user, such as pkiuser).

This was reported against Certificate System 8.1 and may also affect Dogtag 9 and 10.
Comment 7 Vincent Danen 2013-05-22 14:16:08 EDT
Created pki-tps tracking bugs for this issue

Affects: fedora-all [bug 966189]
Affects: epel-5 [bug 966190]
Comment 8 errata-xmlrpc 2013-05-22 14:22:38 EDT
This issue has been addressed in following products:

  Red Hat Certificate System 8

Via RHSA-2013:0856 https://rhn.redhat.com/errata/RHSA-2013-0856.html
Comment 11 Fedora Update System 2013-06-05 21:41:35 EDT
pki-tps-9.0.11-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.